Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#589 GDL uses deprecated numpy API ?

v1.0 (example)
open
nobody
None
5
2014-11-06
2014-02-10
giloo
No
$ make
[ 16%] Built target antlr
[ 17%] Building CXX object src/CMakeFiles/gdl.dir/datatypes.cpp.o
In file included from /usr/lib64/python2.7/site-packages/numpy/core/include/numpy/ndarraytypes.h:1760:0,
                 from /usr/lib64/python2.7/site-packages/numpy/core/include/numpy/ndarrayobject.h:17,
                 from /usr/lib64/python2.7/site-packages/numpy/core/include/numpy/arrayobject.h:4,
                 from /tmp/gdl/src/datatypes.cpp:21:
/usr/lib64/python2.7/site-packages/numpy/core/include/numpy /npy_1_7_deprecated_api.h:15:2: warning: #warning "Using deprecated NumPy API, disable it by #defining    NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-Wcpp]

Discussion